Zydis: include/Zydis/Internal/FormatterIntel.h File Reference

Zydis v4.1.0

Loading...
Searching...
No Matches
Functions
FormatterIntel.h File Reference

Implements the `INTEL` style instruction-formatter. More...

`#include <Zydis/Formatter.h>`
`#include <Zydis/Internal/FormatterBase.h>`
`#include <Zydis/Internal/String.h>`

Go to the source code of this file.

## Functions
ZyanStatus | ZydisFormatterIntelFormatInstruction (const ZydisFormatter *formatter, ZydisFormatterBuffer *buffer, ZydisFormatterContext *context)
ZyanStatus | ZydisFormatterIntelFormatOperandMEM (const ZydisFormatter *formatter, ZydisFormatterBuffer *buffer, ZydisFormatterContext *context)
ZyanStatus | ZydisFormatterIntelPrintMnemonic (const ZydisFormatter *formatter, ZydisFormatterBuffer *buffer, ZydisFormatterContext *context)
ZyanStatus | ZydisFormatterIntelPrintRegister (const ZydisFormatter *formatter, ZydisFormatterBuffer *buffer, ZydisFormatterContext *context, ZydisRegister reg)
ZyanStatus | ZydisFormatterIntelPrintDISP (const ZydisFormatter *formatter, ZydisFormatterBuffer *buffer, ZydisFormatterContext *context)
ZyanStatus | ZydisFormatterIntelPrintTypecast (const ZydisFormatter *formatter, ZydisFormatterBuffer *buffer, ZydisFormatterContext *context)
ZyanStatus | ZydisFormatterIntelFormatInstructionMASM (const ZydisFormatter *formatter, ZydisFormatterBuffer *buffer, ZydisFormatterContext *context)
ZyanStatus | ZydisFormatterIntelPrintAddressMASM (const ZydisFormatter *formatter, ZydisFormatterBuffer *buffer, ZydisFormatterContext *context)

## Detailed Description

Implements the `INTEL` style instruction-formatter.

## Function Documentation

## ◆ ZydisFormatterIntelFormatInstruction()

ZyanStatus ZydisFormatterIntelFormatInstruction | ( | const ZydisFormatter * | formatter,
|  | ZydisFormatterBuffer * | buffer,
|  | ZydisFormatterContext * | context )

## ◆ ZydisFormatterIntelFormatInstructionMASM()

ZyanStatus ZydisFormatterIntelFormatInstructionMASM | ( | const ZydisFormatter * | formatter,
|  | ZydisFormatterBuffer * | buffer,
|  | ZydisFormatterContext * | context )

## ◆ ZydisFormatterIntelFormatOperandMEM()

ZyanStatus ZydisFormatterIntelFormatOperandMEM | ( | const ZydisFormatter * | formatter,
|  | ZydisFormatterBuffer * | buffer,
|  | ZydisFormatterContext * | context )

## ◆ ZydisFormatterIntelPrintAddressMASM()

ZyanStatus ZydisFormatterIntelPrintAddressMASM | ( | const ZydisFormatter * | formatter,
|  | ZydisFormatterBuffer * | buffer,
|  | ZydisFormatterContext * | context )

## ◆ ZydisFormatterIntelPrintDISP()

ZyanStatus ZydisFormatterIntelPrintDISP | ( | const ZydisFormatter * | formatter,
|  | ZydisFormatterBuffer * | buffer,
|  | ZydisFormatterContext * | context )

## ◆ ZydisFormatterIntelPrintMnemonic()

ZyanStatus ZydisFormatterIntelPrintMnemonic | ( | const ZydisFormatter * | formatter,
|  | ZydisFormatterBuffer * | buffer,
|  | ZydisFormatterContext * | context )

## ◆ ZydisFormatterIntelPrintRegister()

ZyanStatus ZydisFormatterIntelPrintRegister | ( | const ZydisFormatter * | formatter,
|  | ZydisFormatterBuffer * | buffer,
|  | ZydisFormatterContext * | context,
|  | ZydisRegister | reg )

## ◆ ZydisFormatterIntelPrintTypecast()

ZyanStatus ZydisFormatterIntelPrintTypecast | ( | const ZydisFormatter * | formatter,
|  | ZydisFormatterBuffer * | buffer,
|  | ZydisFormatterContext * | context )